Bug 648007 - (ghc-binary-shared) Review Request: ghc-binary-shared - Haskell library for sharing binary elements
Review Request: ghc-binary-shared - Haskell library for sharing binary elements
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: leksah-server
  Show dependency treegraph
 
Reported: 2010-10-30 08:21 EDT by Narasimhan
Modified: 2011-05-02 18:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-binary-shared-0.8.1-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-26 12:25:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mathstuf: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2010-10-30 08:21:19 EDT
Spec file URL : https://sites.google.com/site/lakshminaras2002/home/ghc-binary-shared.spec?attredirects=0&d=1

SRPM URL : https://sites.google.com/site/lakshminaras2002/home/ghc-binary-shared-0.8.1-1.fc14.src.rpm?attredirects=0&d=1

rpmlint output:
 rpmlint -i ghc-binary-shared-*.rpm
ghc-binary-shared.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-binary-shared.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-binary-shared-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-binary-shared-prof.x86_64: E: devel-dependency ghc-binary-shared-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-binary-shared-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-binary-shared-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/binary-shared-0.8.1/libHSbinary-shared-0.8.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 0 specfiles checked; 1 errors, 5 warnings.
Comment 1 Ben Boeckel 2011-01-28 23:43:24 EST
Taking.
Comment 2 Ben Boeckel 2011-03-24 20:19:53 EDT
ghc-binary-shared.src: E: description-line-too-long C This package adds the capability to share elements created by the binary package.
ghc-binary-shared.x86_64: E: description-line-too-long C This package adds the capability to share elements created by the binary package.
ghc-binary-shared-devel.x86_64: E: description-line-too-long C This package adds the capability to share elements created by the binary package.
ghc-binary-shared-prof.x86_64: E: devel-dependency ghc-binary-shared-devel
ghc-binary-shared-prof.x86_64: E: description-line-too-long C This package adds the capability to share elements created by the binary package.
ghc-binary-shared-prof.x86_64: W: no-documentation
ghc-binary-shared-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-7.0.2/binary-shared-0.8.1/libHSbinary-shared-0.8.1_p.a
4 packages and 0 specfiles checked; 5 errors, 2 warnings.
Comment 3 Narasimhan 2011-03-25 02:01:25 EDT
Ok, I will correct the problems and upgrade to cabal2spec 0.22.5 as well.
Comment 4 Narasimhan 2011-03-26 01:48:43 EDT
New build at 

http://koji.fedoraproject.org/koji/taskinfo?taskID=2947702
Comment 5 Narasimhan 2011-03-26 01:58:43 EDT
http://narasim.fedorapeople.org/package_reviews/ghc-binary-shared.spec

http://narasim.fedorapeople.org/package_reviews/ghc-binary-shared-0.8.1-2.fc14.src.rpm


rpmlint  -i *.rpm *.spec
ghc-binary-shared.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-binary-shared.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-binary-shared-devel.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-binary-shared-prof.i686: E: devel-dependency ghc-binary-shared-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-binary-shared-prof.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-binary-shared-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-binary-shared-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/binary-shared-0.8.1/libHSbinary-shared-0.8.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 6 warnings.
Comment 6 Ben Boeckel 2011-04-17 12:11:56 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

See above.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

Yes, LICENSE file is present and included.

[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
Comment 7 Narasimhan 2011-04-18 00:09:36 EDT
Thanks,
Comment 8 Narasimhan 2011-04-18 00:10:02 EDT
New Package SCM Request
=======================
Package Name: ghc-binary-shared
Short Description:  Haskell library for sharing binary elements
Owners: narasim
Branches: f13 f14 f15
InitialCC: haskell-sig
Comment 9 Jason Tibbitts 2011-04-18 14:07:39 EDT
Git done (by process-git-requests).
Comment 10 Narasimhan 2011-04-21 08:19:53 EDT
Built for rawhide

http://koji.fedoraproject.org/koji/buildinfo?buildID=239946
Comment 11 Fedora Update System 2011-04-21 08:24:35 EDT
ghc-binary-shared-0.8.1-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-binary-shared-0.8.1-2.fc13
Comment 12 Fedora Update System 2011-04-21 08:24:43 EDT
ghc-binary-shared-0.8.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-binary-shared-0.8.1-2.fc14
Comment 13 Fedora Update System 2011-04-21 08:24:51 EDT
ghc-binary-shared-0.8.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-binary-shared-0.8.1-2.fc15
Comment 14 Fedora Update System 2011-04-21 18:25:11 EDT
ghc-binary-shared-0.8.1-2.fc14 has been pushed to the Fedora 14 testing repository.
Comment 15 Fedora Update System 2011-04-26 12:25:12 EDT
ghc-binary-shared-0.8.1-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 16 Fedora Update System 2011-05-02 18:27:25 EDT
ghc-binary-shared-0.8.1-2.fc13 has been pushed to the Fedora 13 stable repository.
Comment 17 Fedora Update System 2011-05-02 18:31:49 EDT
ghc-binary-shared-0.8.1-2.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.